Get non-enumerating public checkout status
POST
/v2/public/checkouts/statusHeader parameters
x-request-idstringOptional caller-provided request correlation ID.
min length 1
Request body
requiredapplication/jsoncapabilitystringrequiredmin length 32 · max length 512
providerPaymentIdstring<uuid>Responses
200OK
statusobjectrequiredShow propertiesHide properties
statestringrequiredAllowed:
ready_for_checkouthosted_checkout_opencompletedfailedexpiredrecoverablehostedUrlstring<uri> | anyrequiredShow propertiesHide properties
Any of:
string<uri>
string<uri>any
anyexpiresAtstring<date-time>requirednextActionstringrequiredAllowed:
open_hosted_checkoutwaitdoneretrycontact_merchantcheckoutDesignobject | anyrequiredShow propertiesHide properties
Any of:
object
logoAssetIdstring<uuid> | anyShow propertiesHide properties
Any of:
string<uuid>
string<uuid>any
anyaccentColoranybackgroundColoranytextColoranyfontstringrequiredAllowed:
systemarabic_sansseriflayoutstringAllowed:
two_columnstackedproductOrderstring<uuid>[]max items 100
acceptsDiscountCodebooleandefault: false
copyobjectrequiredShow propertiesHide properties
headingobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
subheadingobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
submitLabelobjectrequiredShow propertiesHide properties
enstringrequiredmin length 1 · max length 120
arstringrequiredmin length 1 · max length 120
any
anyorderIdstring<uuid>productIdstring<uuid>404Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject422Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject429Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobject500Standard Cipay error response.
errorobjectrequiredShow propertiesHide properties
codestringrequiredmin length 1
messagestringrequiredmin length 1
requestIdstringrequiredmin length 1
detailsobjectRequest
curl -X POST "https://api.cipay.net/v2/public/checkouts/status" \
-H "Content-Type: application/json" \
-d '{
"capability": "string",
"providerPaymentId": "<uuid>"
}'const response = await fetch("https://api.cipay.net/v2/public/checkouts/status", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"capability": "string",
"providerPaymentId": "<uuid>"
})
});Response
{
"status": {
"state": "ready_for_checkout",
"hostedUrl": "<uri>",
"expiresAt": "2024-01-01T00:00:00Z",
"nextAction": "open_hosted_checkout",
"checkoutDesign": {
"logoAssetId": "<uuid>",
"accentColor": "string",
"backgroundColor": "string",
"textColor": "string",
"font": "system",
"layout": "two_column",
"productOrder": [
"<uuid>"
],
"acceptsDiscountCode": false,
"copy": {
"heading": {
"en": "string",
"ar": "string"
},
"subheading": {
"en": "string",
"ar": "string"
},
"submitLabel": {
"en": "string",
"ar": "string"
}
}
},
"orderId": "<uuid>",
"productId": "<uuid>"
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"requestId": "string",
"details": {}
}
}